# Users

## Get User

<mark style="color:blue;">`GET`</mark> `/user/:id`

#### Path Parameters

| Name                                 | Type   | Description         |
| ------------------------------------ | ------ | ------------------- |
| id<mark style="color:red;">\*</mark> | string | ID of Specific User |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
        username: "",
        id: "",
        bots: []
    }
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    error: "User Not Found",
    status: 404
}
```

{% endtab %}
{% endtabs %}

## Has Voted

<mark style="color:blue;">`GET`</mark> /`hasvoted/:userid/:botid/`

Checks whether a user has or has not voted for your bot in the last 12 hours

#### Path Parameters

| Name                                      | Type   | Description                      |
| ----------------------------------------- | ------ | -------------------------------- |
| Bot ID<mark style="color:red;">\*</mark>  | string | The bot you are checking against |
| User ID<mark style="color:red;">\*</mark> | string | The user you are checking        |

{% tabs %}
{% tab title="200 " %}

```
{voted: boolean}
```

{% endtab %}

{% tab title="404: Not Found " %}

```javascript
{
    "error": "Bot not found",
    "status": 404
}
```

{% endtab %}
{% endtabs %}

## Last Voted Timestamp

<mark style="color:blue;">`GET`</mark> /`lastvoted/:userid/:botid/`

#### Path Parameters

| Name    | Type   | Description                          |
| ------- | ------ | ------------------------------------ |
| User ID | string | The user you are checking against    |
| Bot ID  | string | The bot the user must have voted for |

The endpoint will either return zero or a timestamp depending on whether the user has voted and if the bot is valid.

{% tabs %}
{% tab title="200" %}

```
{
    "timestamp": 1759790178747
}
```

{% endtab %}

{% tab title="404" %}

```
{
    "timestamp": 0
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.radarcord.net/api/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
